Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class CopyFolderDialogModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.DialogModel
              portlets.compoze.groupware.model.mail.CopyFolderDialogModel

All Implemented Interfaces:
  java.io.Serializable

public class CopyFolderDialogModel
extends DialogModel
implements java.io.Serializable

This class represents the data model for the copy folder dialog (`copy_folder_dialog.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.DialogModel
`DIALOG_SESSION_ATTRIBUTE`

Constructor Summary
`CopyFolderDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, GroupwarePreferences groupwarePrefs, java.lang.String sSkinPath)` Constructor.

Method Summary
`java.lang.String` | `getExpandFolderIDs()` Gets the folder expand IDs.
`java.lang.String` | `getFolderID()` Gets the folder to copy.
`FolderNavigation` | `getFolderNavigation()` Gets the folder navigation.
`java.util.Locale` | `getLocale()` Gets the locale.
`void` | `setExpandFolderIDs(java.lang.String sExpandFolderIDs)` Sets the folder expand IDs.
`void` | `setFolderID(java.lang.String sFolderID)` Sets the folder ID to copy.
`void` | `setFolderNavigation(FolderNavigation folderNavigation)` Sets the folder navigation.
`void` | `setLocale(java.util.Locale locale)` Sets the locale.

Methods inherited from class portlets.compoze.groupware.model.DialogModel
`getCompozeCSS, getCompozeImages, getCurrentSkinPath`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFolderDialogModel

    public CopyFolderDialogModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                 GroupwarePreferences groupwarePrefs,
                                 java.lang.String sSkinPath)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `sSkinPath` - the skin path (may not be `null`)

Method Detail

### getFolderID

    public java.lang.String getFolderID()

  Gets the folder to copy.

  Returns:
    the folder to copy

### setFolderID

    public void setFolderID(java.lang.String sFolderID)

  Sets the folder ID to copy.

  Parameters:
    `sFolderID` - the folder to copy (may not be `null`)

### getFolderNavigation

    public FolderNavigation getFolderNavigation()

  Gets the folder navigation.

  Returns:
    the folder navigation

### setFolderNavigation

    public void setFolderNavigation(FolderNavigation folderNavigation)

  Sets the folder navigation.

  Parameters:
    `folderNavigation` - the folder navigation (may not be `null`)

### getExpandFolderIDs

    public java.lang.String getExpandFolderIDs()

  Gets the folder expand IDs.

  Returns:
    the folder expand IDs

### setExpandFolderIDs

    public void setExpandFolderIDs(java.lang.String sExpandFolderIDs)

  Sets the folder expand IDs.

  Parameters:
    `sExpandFolderIDs` - the folder expand IDs

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Returns:
    the locale

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale.

  Parameters:
    `locale` - the locale

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.